org.jbpm.marshalling.impl

## Interface JBPMMessages.WorkItemOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    JBPMMessages.WorkItem, JBPMMessages.WorkItem.Builder
  Enclosing class:
    JBPMMessages

      public static interface JBPMMessages.WorkItemOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDeploymentId()` `optional string deployment_id = 6;`
    `com.google.protobuf.ByteString` | `getDeploymentIdBytes()` `optional string deployment_id = 6;`
    `long` | `getId()` `optional int64 id = 1;`
    `String` | `getName()` `optional string name = 3;`
    `com.google.protobuf.ByteString` | `getNameBytes()` `optional string name = 3;`
    `long` | `getNodeId()` `optional int64 node_id = 8;`
    `long` | `getNodeInstanceId()` `optional int64 node_instance_id = 7;`
    `long` | `getProcessInstancesId()` `optional int64 process_instances_id = 2;`
    `int` | `getState()` `optional int32 state = 4;`
    `JBPMMessages.Variable` | `getVariable(int index)` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `int` | `getVariableCount()` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `List<JBPMMessages.Variable>` | `getVariableList()` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `JBPMMessages.VariableOrBuilder` | `getVariableOrBuilder(int index)` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `List<? extends JBPMMessages.VariableOrBuilder>` | `getVariableOrBuilderList()` `repeated .org.jbpm.marshalling.Variable variable = 5;`
    `boolean` | `hasDeploymentId()` `optional string deployment_id = 6;`
    `boolean` | `hasId()` `optional int64 id = 1;`
    `boolean` | `hasName()` `optional string name = 3;`
    `boolean` | `hasNodeId()` `optional int64 node_id = 8;`
    `boolean` | `hasNodeInstanceId()` `optional int64 node_instance_id = 7;`
    `boolean` | `hasProcessInstancesId()` `optional int64 process_instances_id = 2;`
    `boolean` | `hasState()` `optional int32 state = 4;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasId

          boolean hasId()

      `optional int64 id = 1;`

    - #### getId

          long getId()

      `optional int64 id = 1;`

    - #### hasProcessInstancesId

          boolean hasProcessInstancesId()

      `optional int64 process_instances_id = 2;`

    - #### getProcessInstancesId

          long getProcessInstancesId()

      `optional int64 process_instances_id = 2;`

    - #### hasName

          boolean hasName()

      `optional string name = 3;`

    - #### getName

          String getName()

      `optional string name = 3;`

    - #### getNameBytes

          com.google.protobuf.ByteString getNameBytes()

      `optional string name = 3;`

    - #### hasState

          boolean hasState()

      `optional int32 state = 4;`

    - #### getState

          int getState()

      `optional int32 state = 4;`

    - #### getVariableList

          List<JBPMMessages.Variable> getVariableList()

      `repeated .org.jbpm.marshalling.Variable variable = 5;`

    - #### getVariable

          JBPMMessages.Variable getVariable(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 5;`

    - #### getVariableCount

          int getVariableCount()

      `repeated .org.jbpm.marshalling.Variable variable = 5;`

    - #### getVariableOrBuilderList

          List<? extends JBPMMessages.VariableOrBuilder> getVariableOrBuilderList()

      `repeated .org.jbpm.marshalling.Variable variable = 5;`

    - #### getVariableOrBuilder

          JBPMMessages.VariableOrBuilder getVariableOrBuilder(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 5;`

    - #### hasDeploymentId

          boolean hasDeploymentId()

      `optional string deployment_id = 6;`

    - #### getDeploymentId

          String getDeploymentId()

      `optional string deployment_id = 6;`

    - #### getDeploymentIdBytes

          com.google.protobuf.ByteString getDeploymentIdBytes()

      `optional string deployment_id = 6;`

    - #### hasNodeInstanceId

          boolean hasNodeInstanceId()

      `optional int64 node_instance_id = 7;`

    - #### getNodeInstanceId

          long getNodeInstanceId()

      `optional int64 node_instance_id = 7;`

    - #### hasNodeId

          boolean hasNodeId()

      `optional int64 node_id = 8;`

    - #### getNodeId

          long getNodeId()

      `optional int64 node_id = 8;`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.